%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define debug_package %{nil}
Name:           phatch
Version:        0.2.7
Release:        11%{?dist}
Summary:        Photo batch processor
Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://photobatch.stani.be/
Source0:        http://photobatch.stani.be/download/package/%{name}-%{version}.1.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python
BuildRequires:  desktop-file-utils
BuildRequires:  python-setuptools-devel

Requires:       hicolor-icon-theme
Requires:       xdg-utils
Requires:       wxPython
Requires:       %{name}-cli = %{version}-%{release}
Patch1:         crash_fix.patch
Patch2 :        pyexiv2_compat.patch



%description
Phatch is a simple to use cross-platform GUI Photo Batch Processor
which handles all popular image formats and can duplicate
(sub)folder hierarchies. Phatch can batch re-size, rotate,
apply perspective, shadows, rounded corners, ...
and more in minutes instead of hours or days if you do it manually.
Phatch allows you to use EXIF and IPTC tags for renaming
and data stamping. Phatch also supports a console version
to batch photos on web-servers.

%package cli
Summary: Command line interface for phatch
Group: Applications/Multimedia
Requires:       python-imaging
Requires:       notify-python
Requires:       pyexiv2
Requires:       /usr/bin/tiffcp
Requires:       /usr/bin/tiffinfo
Requires:       gnu-free-sans-fonts
Requires:       mlocate
Requires:       dcraw
Requires:       ImageMagick
Requires:       /usr/bin/jpegtran
Requires:       fbida
Requires:       xcftools

%package -n nautilus-%{name}
Summary: Nautilus extension for %{name}
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: nautilus-python

%description cli
Command line interface for phatch 

%description -n nautilus-%{name}
Nautilus extension for %{name}

%prep
%setup -q 
rm -f docs/build/html/.buildinfo
# let %%doc manage documentation
sed -i -e 's/\+ doc_files//' setup.py
# Change search path for documentation
sed -i -e "s@help_path =.*@help_path=\'%{_datadir}/doc/%{name}-%{version}\'@" %{name}/pyWx/gui.py
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
desktop-file-install --vendor=""                                 \
       --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
       $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor=""                                 \
       --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
       $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}-inspector.desktop
%find_lang %{name}
# for non-executable-script
chmod +x $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/{%{name}.py,lib/pyWx/dialogsInspector.py,lib/metadataTest.py,other/surd.py,other/EXIF.py,other/pep8.py}


%post -n %{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun -n %{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING docs/build/html/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-inspector.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-inspector.png
%{python_sitelib}/%{name}/pyWx
%{python_sitelib}/%{name}/lib/pyWx

%files cli -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man?/%{name}*
%{python_sitelib}/*egg-info
%exclude %{python_sitelib}/%{name}/pyWx
%exclude %{python_sitelib}/%{name}/lib/pyWx

%files -n nautilus-%{name}
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/%{name}/lib/linux/nautilusExtension.*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.7-10
- Rebuild for xcftools 

* Mon Mar 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.7-9
- Rebuild for xcftools

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 25 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.7-7
- Fix pyexiv2 compatibility issue #704703. Updated the patch pyexiv2_compat.patch

* Thu Jun 23 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.7-6
- Fix pyexiv2 compatibility issue #704703. Applied patch pyexiv2_compat.patch

* Thu May 12 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.7-5
- Fix crash issue #646035

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 20 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.7-3
- Remove thai-scalable-purisa-fonts from requires
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild
* Sat Mar 13 2010 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.7-1
- Update to 0.2.7
- Package is now noarch
* Thu Dec 15 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.2.5-1
- Update to 0.2.5
- New cli subpackage to use the application with no gui requirements
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Fri Dec 19 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-3
- Fix requires for nautilus-extension
- Licence file added to nautilus-extension
- No more docs subdirectory in documentation folder
- Fix version
* Thu Dec 18 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-2
- subpckage created for nautilus extension
- timestamp preserved for sed'ed file
- wxPython removed from BuildRequires
- Source0 updated
- whole documentation included
- update-desktop-database and update-mime-database added
- egg-info properly builded
- python-devel buildrequries changed to python
* Sun Nov  9 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.6-1
- Rebuild for 0.1.6
* Wed Jul 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.5-2
- Licence tag updated
* Mon Jul 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.5-1
- rebuild for 0.1.5
- package now builds under F8
* Thu Jul  3 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.4.bzr538-2
- find_lang usage to locate all locale files
* Wed Jul  2 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.1.4.bzr538-1
- Initial build
